## psutils 1.17

=== Makefile ===
# Makefile for PS utilities release 1 patchlevel 17
#
# Copyright (C) Angus J. C. Duggan 1991-1996
# See file LICENSE for details.
#
# updated AJCD 3/1/96
#
# Multiple makefiles for different OSes are generated from a single master
# now.
#
# There are so many incompatible makes around that putting all of the
# non-standard targets explicitly seems to be the only way of ensuring
# portability.

# epsffit fits an epsf file to a given bounding box
# psbook rearranges pages into signatures
# psselect selects page ranges
# pstops performs general page rearrangement and merging
# psnup puts multiple logical pages on one physical page
# psresize scales and moves pages to fit on different paper sizes

PAPER=a4

# Makefile for PSUtils under Unix

#OS = UNIX
prefix=/usr

BINDIR = $(prefix)/bin
SCRIPTDIR = $(BINDIR)
INCLUDEDIR = $(prefix)/lib/psutils
PERL = $(prefix)/bin/perl

BINMODE = 0755
MANMODE = 0644
CHMOD = chmod
INSTALL = install -c -m $(BINMODE)
INSTALLMAN = install -c -m $(MANMODE)
MANEXT = 1
MANDIR = $(prefix)/man/man$(MANEXT)

CC = gcc
CFLAGS = -DPAPER=\"$(PAPER)\" -DUNIX -O -Wall

BIN = psbook psselect pstops epsffit psnup \
	psresize
SHELLSCRIPTS = getafm showchar
PERLSCRIPTS = fixfmps fixmacps fixpsditps fixpspps \
	fixtpps fixwfwps fixwpps fixscribeps fixwwps \
	fixdlsrps extractres includeres psmerge
MANPAGES = psbook.$(MANEXT) psselect.$(MANEXT) pstops.$(MANEXT) epsffit.$(MANEXT) psnup.$(MANEXT) \
	psresize.$(MANEXT) psmerge.$(MANEXT) fixscribeps.$(MANEXT) getafm.$(MANEXT) \
	fixdlsrps.$(MANEXT) fixfmps.$(MANEXT) fixmacps.$(MANEXT) fixpsditps.$(MANEXT) \
	fixpspps.$(MANEXT) fixtpps.$(MANEXT) fixwfwps.$(MANEXT) fixwpps.$(MANEXT) \
	fixwwps.$(MANEXT) extractres.$(MANEXT) includeres.$(MANEXT)
INCLUDES = md68_0.ps md71_0.ps

all: $(BIN) $(PERLSCRIPTS) $(MANPAGES) $(SHELLSCRIPTS)

psutil.o: psutil.h patchlev.h pserror.h psutil.c

psspec.o: psutil.h patchlev.h psspec.h pserror.h psspec.c

pserror.o: psutil.h patchlev.h pserror.h pserror.c

epsffit.o: epsffit.c pserror.h patchlev.h

epsffit: epsffit.o pserror.o
	$(CC) $(CCFLAGS) -o epsffit pserror.o epsffit.o

psnup: psnup.o psutil.o psspec.o pserror.o
	$(CC) $(CCFLAGS) -o psnup psutil.o psspec.o pserror.o psnup.o

psnup.o: psutil.h patchlev.h psspec.h pserror.h psnup.c

psresize: psresize.o psutil.o pserror.o psspec.o
	$(CC) $(CCFLAGS) -o psresize psutil.o psspec.o pserror.o psresize.o

psresize.o: psutil.h patchlev.h psspec.h pserror.h psresize.c

psbook: psbook.o psutil.o pserror.o
	$(CC) $(CCFLAGS) -o psbook psutil.o pserror.o psbook.o

psbook.o: psutil.h patchlev.h pserror.h psbook.c

psselect: psselect.o psutil.o pserror.o
	$(CC) $(CCFLAGS) -o psselect psutil.o pserror.o psselect.o

psselect.o: psutil.h patchlev.h pserror.h psselect.c

pstops: pstops.o psutil.o psspec.o pserror.o
	$(CC) $(CCFLAGS) -o pstops psutil.o psspec.o pserror.o pstops.o

pstops.o: psutil.h patchlev.h psspec.h pserror.h pstops.c

getafm:	getafm.sh
	cp $? $@

showchar:	showchar.sh
	cp $? $@

psmerge: psmerge.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixfmps: fixfmps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixmacps: fixmacps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) INCLUDE=$(INCLUDEDIR) $? > $@
	$(CHMOD) $(BINMODE) $@

fixpsditps: fixpsditps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixpspps: fixpspps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixscribeps: fixscribeps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixtpps: fixtpps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixwfwps: fixwfwps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixwpps: fixwpps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixwwps: fixwwps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixdlsrps: fixdlsrps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

extractres: extractres.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

includeres: includeres.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) INCLUDE=$(INCLUDEDIR) $? > $@
	$(CHMOD) $(BINMODE) $@

epsffit.$(MANEXT): epsffit.man
	$(PERL) maketext MAN="$(MANPAGES)" $? > $@

psnup.$(MANEXT): psnup.man
	$(PERL) maketext MAN="$(MANPAGES)" PAPER=$(PAPER) $? > $@

psresize.$(MANEXT): psresize.man
	$(PERL) maketext MAN="$(MANPAGES)" PAPER=$(PAPER) $? > $@

psbook.$(MANEXT): psbook.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

psselect.$(MANEXT): psselect.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

pstops.$(MANEXT): pstops.man
	$(PERL) maketext "MAN=$(MANPAGES)" PAPER=$(PAPER) $? > $@

psmerge.$(MANEXT): psmerge.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixfmps.$(MANEXT): fixfmps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixmacps.$(MANEXT): fixmacps.man
	$(PERL) maketext "MAN=$(MANPAGES)" INCLUDE=$(INCLUDEDIR) $? > $@

fixpsditps.$(MANEXT): fixpsditps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixpspps.$(MANEXT): fixpspps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixscribeps.$(MANEXT): fixscribeps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixtpps.$(MANEXT): fixtpps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixwfwps.$(MANEXT): fixwfwps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixwpps.$(MANEXT): fixwpps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixwwps.$(MANEXT): fixwwps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixdlsrps.$(MANEXT): fixdlsrps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

extractres.$(MANEXT): extractres.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

includeres.$(MANEXT): includeres.man
	$(PERL) maketext "MAN=$(MANPAGES)" INCLUDE=$(INCLUDEDIR) $? > $@

getafm.$(MANEXT): getafm.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

clean:
	rm -f *.o

veryclean realclean: clean
	rm -f $(BIN) $(PERLSCRIPTS) $(MANPAGES)

install: install.bin install.script install.man install.include

install.bin: $(BIN)
	-mkdir $(BINDIR)
	@for i in $(BIN); do \
		echo Installing $$i; \
		$(INSTALL) $$i $(BINDIR); \
	done

install.script: $(PERLSCRIPTS) $(SHELLSCRIPTS)
	-mkdir $(SCRIPTDIR)
	@for i in $(PERLSCRIPTS) $(SHELLSCRIPTS); do \
		echo Installing $$i; \
		$(INSTALL) $$i $(SCRIPTDIR); \
	done

install.include: $(INCLUDES)
	-mkdir $(INCLUDEDIR)
	@for i in $(INCLUDES); do \
		echo Installing $$i; \
		$(INSTALLMAN) $$i $(INCLUDEDIR); \
	done

install.man: $(MANPAGES)
	-mkdir $(MANDIR)
	@for i in $(MANPAGES); do \
		echo Installing manual page for $$i; \
		$(INSTALLMAN) $$i $(MANDIR)/$$i; \
	done

=== debian/changelog ===
psutils (1.17-31) unstable; urgency=low

  * Mark psutils Multi-Arch: foreign.  (Closes: #649693)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 28 Nov 2011 10:33:39 -0500

psutils (1.17-30) unstable; urgency=low

  * debian/patches/bboxesandsizes.patch: add page headers to output
    according to parameters (LP #396025).  Thanks Michael Braun.
    (Closes: #632182)
  * Update standards to 3.9.2

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 03 Sep 2011 10:40:07 -0400

psutils (1.17-29) unstable; urgency=low

  * Update large file patch to correct regression caused on kfreebsd-i386.
    Thanks Guillem Jover. (Closes: #617872)
  * Remove -Werror from compilation flags as per correct suggestion from
    Guillem Jover.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 02 Apr 2011 18:54:02 -0400

psutils (1.17-28) unstable; urgency=low

  * Change source format to '3.0 (quilt)'
  * Remove README.source
  * Update standards to 3.9.1
  * Accept patch from daniele giacomini to allow psutils to work on files
    larger than 2 GiB.  (Closes: #595239)
  * Accept psutils-flip.patch from Peter Korsgaard.  This patch has been
    in SUSE for some time.  (Closes: #534455)
  * Add public domain psjoin script.  (Closes: #253866)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 17 Oct 2010 12:39:12 -0400

psutils (1.17-27) unstable; urgency=low

  * Housekeeping: add README.source, convert patches to quilt, add
    homepage to control file, update standards version to 3.8.3.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 19 Aug 2009 19:17:51 -0400

psutils (1.17-26) unstable; urgency=low

  * Change Recommends on gs | gs-esp to one on ghostscript.

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 30 Jun 2008 16:59:26 -0400

psutils (1.17-25) unstable; urgency=low

  * Update standards version to 3.7.3.  No changes required.
  * Fix error in psmerge manual page.  (Closes: #464785)
  * Include patch from Bernhard R. Link to remove paper size information
    and bounding boxes from psnup and psresize.  This removes bugs
    resulting in having usually incorrect information in files when the
    paper size has changed, reasoning that having no information is better
    than having incorrect information.  (Closes: #368331, #434500)
  * Honor DEB_BUILD_OPTIONS=nostrip by not explicitly calling install -s
    to strip executables and instead letting dh_strip do it for us.
    (Closes: #437832)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 08 Jun 2008 11:16:42 -0400

psutils (1.17-24) unstable; urgency=low

  * Yet another fix to the pstops manual page involving handling of quotes
    around examples. (Closes: #392737)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 18 Nov 2006 13:16:01 -0500

psutils (1.17-23) unstable; urgency=low

  * Correction to quotation changes in manual pages to work better in
    multiple locales.
  * Add watch file
  * Update URL in copyright file

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 23 Jun 2006 14:47:32 -0400

psutils (1.17-22) unstable; urgency=low

  * From Ian Jackson <iwj@ubuntu.com>: Make psnup (pstops, etc. etc.) cope
    with output from Gnome printing system, which does `/showpage load',
    thus defeating attempts to redefine showpage from virtual page to
    virtual page.  Instead, we redefine showpage to a procedure which
    looks at PStoPSenablepage, a new variable, which is what changes from
    page to page.  Malone #28311.  (Closes: #360606)
  * List binaries in description.  I had removed these but have been
    convinced that they belong after all.  (Closes: #357560)
  * Add quotation marks to examples with parentheses in pstops manual
    page.  Thanks Danai SAE-HAN.  (Closes: #363092)
  * Updated standards version to 3.7.2.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 29 May 2006 10:40:58 -0400

psutils (1.17-21) unstable; urgency=low

  * Fix packaging bug that prevented /etc/papersize from being inspected.
    (Closes: #339506)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 19 Nov 2005 11:57:43 -0500

psutils (1.17-20) unstable; urgency=low

  * New maintainer.  Thanks Rob!  (Closes: #329425)
  * Bring package to current Standards-Version; make other miscellaneous
    fixes to control file
  * No longer Provide postscript-previewer
  * Modify psmerge to use gs if available; make this package Recommmend
    (rather than Suggest) some version of gs (Closes: #159888, #35328)
  * The -thorough option to psmerge doesn't do anything; remove it from
    the help message.  (Closes: #252052, #252054)
  * Convert package to use cdbs.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 13 Nov 2005 21:27:03 -0500

psutils (1.17-19) unstable; urgency=low

  * Add Build-Depends on debhelper. (closes: #329609)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 22 Sep 2005 11:09:21 -0700

psutils (1.17-18) unstable; urgency=low

  * Fix psmerge usage message.  Thanks to Gregor Hoffleit
    <flight@debian.org> and Helge Kreutzmann
    <kreutzm@itp.uni-hannover.de>. (closes: #252053, #252610)
    - debian/patches/fix-psmerge-usage.diff

  * Add showchar manpage.  Thanks to Uwe Hermann <uh1763@hermann-uwe.de>.
    (closes: #118068)
    - debian/patches/showchar-manpage.diff

  * Convert package to use quilt.  There are now no modifications outside
    ./debian.
    - debian/rules
    - debian/patches/misc.diff

  * Convert package to use debhelper.

  * Add ${misc:Depends} to debian/control.
    - debian/control

  * Update Standards-Version to 3.5.6.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 21 Sep 2005 11:38:14 -0700

psutils (1.17-17) unstable; urgency=low

  * fix handling of pstops '@0.99(0.1cm,0.1cm)' to follow manpage
    (i.e. allow omission of pageno when only one spec.
    (closes: Bug#183508)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 30 Mar 2003 23:54:32 -0600

psutils (1.17-16) unstable; urgency=low

  * be more careful about return values from libpaper functions.
  (closes: Bug#170503)
  * list binaries in description.  (closes: Bug#143529)


=== debian/control ===
Source: psutils
Section: text
Priority: optional
Maintainer: Jay Berkenbilt <qjb@debian.org>
Build-Depends: cdbs, debhelper (>= 5), libpaper-dev
Standards-Version: 3.9.2
Homepage: http://www.tardis.ed.ac.uk/~ajcd/psutils/

Package: psutils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ghostscript
Description: PostScript document handling utilities
 This collection of utilities is for manipulating PostScript
 documents.  Page selection and rearrangement are supported, including
 arrangement into signatures for booklet printing, and page merging
 for n-up printing.
 .
 The following programs are included in psutils: epsffit, extractres,
 fixdlsrps, fixfmps, fixmacps, fixpsditps, fixpspps, fixscribeps,
 fixtpps, fixwfwps, fixwpps, fixwwps, getafm, includeres, psbook,
 psmerge, psnup, psresize, psselect, pstops, showchar
 .
 Some programs included here (psmerge) behave differently if gs is
 available, but all programs work without it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Include cdbs rules files.
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

CURDIR := $(shell pwd)
DEB_MAKE_CLEAN_TARGET = realclean
DEB_MAKE_BUILD_TARGET = prefix=/usr all
DEB_MAKE_INSTALL_TARGET = prefix=$(CURDIR)/debian/psutils/usr \
	  MANDIR=$(CURDIR)/debian/psutils/usr/share/man/man1 \
	  install

CFLAGS = -DDEBIAN -DUNIX -O2 -g -Wall

VERSION := $(shell dpkg-parsechangelog | \
             awk '/Version:/ {print $$2}' | cut -d- -f 1)

# As 0.4.21, cdbs creates but doesn't debian/compat.  It creates it
# conditionally, so this doesn't have a trivial fix.
clean::
	$(RM) debian/compat
	$(RM) showchar.1

common-install-prehook-arch::
	mkdir -p debian/psutils/usr/bin \
		debian/psutils/usr/lib \
		debian/psutils/usr/share/man/man1 \

install/psutils::
	cp psjoin debian/psutils/usr/bin
	chmod +x debian/psutils/usr/bin/psjoin
	cp psjoin.1 debian/psutils/usr/share/man/man1

# Install lintian override files
binary-post-install/%::
	if [ -f debian/$*.lintian ]; then \
	    mkdir -p debian/$*/usr/share/lintian/overrides && \
	    cp -p debian/$*.lintian debian/$*/usr/share/lintian/overrides/$*; \
	fi

=== debian/watch ===
version=3
opts="uversionmangle=s/^/1./" \
 ftp://ftp.knackered.org/pub/psutils/psutils-p(\d+).tar.gz

## psutils 1.17.dfsg

=== debian/changelog ===
psutils (1.17.dfsg-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Set Vcs fields
  * Change watch file to report latest version of 1.x series
  * Replace cdbs by dh
  * d/copyright: DEP5
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix false positive lintian warning

  [ Reuben Thomas ]
  * Respect output paper size if explicit set instead of overriding it by input
    paper size in psnup
    Closes: #695178

  [ Bjarni Ingi Gislason ]
  * Adjust spaces after full stops
    Closes: #852121
  * Some formatting improvements
    Closes: #852123

 -- Andreas Tille <tille@debian.org>  Sat, 12 Oct 2024 12:12:26 +0200

psutils (1.17.dfsg-4) unstable; urgency=medium

  [ Antony Pavlov ]
  * psmerge: Use ps2write.  (pswrite is gone from gs.)
    Closes:#797528.

  [ Bjarni Ingi Gislason ]
  * psnup(1): Fix manpage syntax error.  Closes:#663258.
  * pstops(1): Remove unneeded backslash.  Closes:#726468.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: Pass CC as a cmdline option to make.  Closes:#838205.

  [ Reuben Thomas ]
  * psnup(1): Remove a confusing and unnecessary qualification
    about units.  Apropos of #695179.

  [ Ian Jackson ]
  * Make myself the maintainer.  Closes:#777699.
  * Fix the upstream URL to refer to Reuben Thomas's github.
    Closes:#752161.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 21 Jan 2017 19:39:50 +0000

psutils (1.17.dfsg-3) unstable; urgency=medium

  * Orphan package

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 26 Aug 2016 21:59:27 -0400

psutils (1.17.dfsg-2) unstable; urgency=medium

  * Replace hardening with dpkg-buildflags
  * Update standards to 3.9.5

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 26 Jul 2014 19:09:32 -0400

psutils (1.17.dfsg-1) unstable; urgency=low

  * Repackage without files with unclear copyright.  See copyright file
    and README.source for details.  (Closes: #682708)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 25 Aug 2012 06:10:34 -0400

psutils (1.17-32) unstable; urgency=low

  * Hardening, update standards version

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 29 Jun 2012 21:23:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: psutils
 Section: text
 Priority: optional
-Maintainer: Jay Berkenbilt <qjb@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), libpaper-dev
-Standards-Version: 3.9.2
-Homepage: http://www.tardis.ed.ac.uk/~ajcd/psutils/
+Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Build-Depends: debhelper-compat (= 13),
+               libpaper-dev
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/debian/psutils
+Vcs-Git: https://salsa.debian.org/debian/psutils.git
+Homepage: https://github.com/rrthomas/psutils
+Rules-Requires-Root: no
 
 Package: psutils
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/default.mk

ifeq ($(origin CC),default)
CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

export DEB_CFLAGS_MAINT_APPEND = -DDEBIAN -DUNIX
export DESTDIR=$(CURDIR)/debian/$(DEB_SOURCE)/usr

%:
	dh $@

override_dh_auto_install:
	mkdir -p $(DESTDIR)/share/man/man1
	dh_auto_install -- prefix=$(DESTDIR) MANDIR=$(DESTDIR)/share/man/man1

=== debian/watch ===
version=4

opts="searchmode=plain,uversionmangle=s/^[23]./0./,repacksuffix=+dfsg,dversionmangle=auto" \
   https://api.github.com/repos/rrthomas/psutils/releases?per_page=100 \
   https://github.com/rrthomas/psutils/releases/download/v?[\d.]+/@PACKAGE@-([\d.]+)@ARCHIVE_EXT@

## psutils 1.17.dfsg-1+6.0.1trisquel1

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 # Makefile for PSUtils under Unix
 
-#OS = UNIX
+OS = UNIX
 prefix=/usr
 
 BINDIR = $(prefix)/bin
@@ -40,20 +40,21 @@
 MANDIR = $(prefix)/man/man$(MANEXT)
 
 CC = gcc
-CFLAGS = -DPAPER=\"$(PAPER)\" -DUNIX -O -Wall
+#CFLAGS = -DPAPER=\"$(PAPER)\" -DUNIX -O -Wall
+CFLAGS = -DDEBIAN -DUNIX -O2 -g -Wall -Werror
 
 BIN = psbook psselect pstops epsffit psnup \
 	psresize
 SHELLSCRIPTS = getafm showchar
-PERLSCRIPTS = fixfmps fixmacps fixpsditps fixpspps \
+PERLSCRIPTS = fixfmps fixpsditps fixpspps \
 	fixtpps fixwfwps fixwpps fixscribeps fixwwps \
 	fixdlsrps extractres includeres psmerge
 MANPAGES = psbook.$(MANEXT) psselect.$(MANEXT) pstops.$(MANEXT) epsffit.$(MANEXT) psnup.$(MANEXT) \
 	psresize.$(MANEXT) psmerge.$(MANEXT) fixscribeps.$(MANEXT) getafm.$(MANEXT) \
-	fixdlsrps.$(MANEXT) fixfmps.$(MANEXT) fixmacps.$(MANEXT) fixpsditps.$(MANEXT) \
+	fixdlsrps.$(MANEXT) fixfmps.$(MANEXT) fixpsditps.$(MANEXT) \
 	fixpspps.$(MANEXT) fixtpps.$(MANEXT) fixwfwps.$(MANEXT) fixwpps.$(MANEXT) \
-	fixwwps.$(MANEXT) extractres.$(MANEXT) includeres.$(MANEXT)
-INCLUDES = md68_0.ps md71_0.ps
+	fixwwps.$(MANEXT) extractres.$(MANEXT) includeres.$(MANEXT) \
+	showchar.$(MANEXT)
 
 all: $(BIN) $(PERLSCRIPTS) $(MANPAGES) $(SHELLSCRIPTS)
 
@@ -69,12 +70,13 @@
 	$(CC) $(CCFLAGS) -o epsffit pserror.o epsffit.o
 
 psnup: psnup.o psutil.o psspec.o pserror.o
-	$(CC) $(CCFLAGS) -o psnup psutil.o psspec.o pserror.o psnup.o
+	$(CC) $(CCFLAGS) -o psnup psutil.o psspec.o pserror.o psnup.o -lpaper
 
 psnup.o: psutil.h patchlev.h psspec.h pserror.h psnup.c
 
 psresize: psresize.o psutil.o pserror.o psspec.o
-	$(CC) $(CCFLAGS) -o psresize psutil.o psspec.o pserror.o psresize.o
+	$(CC) $(CCFLAGS) -o psresize psutil.o psspec.o pserror.o psresize.o \
+          -lpaper
 
 psresize.o: psutil.h patchlev.h psspec.h pserror.h psresize.c
 
@@ -89,7 +91,7 @@
 psselect.o: psutil.h patchlev.h pserror.h psselect.c
 
 pstops: pstops.o psutil.o psspec.o pserror.o
-	$(CC) $(CCFLAGS) -o pstops psutil.o psspec.o pserror.o pstops.o
+	$(CC) $(CCFLAGS) -o pstops psutil.o psspec.o pserror.o pstops.o -lpaper
 
 pstops.o: psutil.h patchlev.h psspec.h pserror.h pstops.c
 
@@ -107,10 +109,6 @@
 	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
 	$(CHMOD) $(BINMODE) $@
 
-fixmacps: fixmacps.pl
-	$(PERL) maketext OS=$(OS) PERL=$(PERL) INCLUDE=$(INCLUDEDIR) $? > $@
-	$(CHMOD) $(BINMODE) $@
-
 fixpsditps: fixpsditps.pl
 	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
 	$(CHMOD) $(BINMODE) $@
@@ -175,9 +173,6 @@
 fixfmps.$(MANEXT): fixfmps.man
 	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@
 
-fixmacps.$(MANEXT): fixmacps.man
-	$(PERL) maketext "MAN=$(MANPAGES)" INCLUDE=$(INCLUDEDIR) $? > $@
-
 fixpsditps.$(MANEXT): fixpsditps.man
 	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@
 
@@ -211,13 +206,16 @@
 getafm.$(MANEXT): getafm.man
 	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@
 
+showchar.$(MANEXT): showchar.man
+	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@
+
 clean:
 	rm -f *.o
 
 veryclean realclean: clean
 	rm -f $(BIN) $(PERLSCRIPTS) $(MANPAGES)
 
-install: install.bin install.script install.man install.include
+install: install.bin install.script install.man
 
 install.bin: $(BIN)
 	-mkdir $(BINDIR)
@@ -233,13 +231,6 @@
 		$(INSTALL) $$i $(SCRIPTDIR); \
 	done
 
-install.include: $(INCLUDES)
-	-mkdir $(INCLUDEDIR)
-	@for i in $(INCLUDES); do \
-		echo Installing $$i; \
-		$(INSTALLMAN) $$i $(INCLUDEDIR); \
-	done
-
 install.man: $(MANPAGES)
 	-mkdir $(MANDIR)
 	@for i in $(MANPAGES); do \

=== .pc/misc.patch/Makefile ===
# Makefile for PS utilities release 1 patchlevel 17
#
# Copyright (C) Angus J. C. Duggan 1991-1996
# See file LICENSE for details.
#
# updated AJCD 3/1/96
#
# Multiple makefiles for different OSes are generated from a single master
# now.
#
# There are so many incompatible makes around that putting all of the
# non-standard targets explicitly seems to be the only way of ensuring
# portability.

# epsffit fits an epsf file to a given bounding box
# psbook rearranges pages into signatures
# psselect selects page ranges
# pstops performs general page rearrangement and merging
# psnup puts multiple logical pages on one physical page
# psresize scales and moves pages to fit on different paper sizes

PAPER=a4

# Makefile for PSUtils under Unix

#OS = UNIX
prefix=/usr

BINDIR = $(prefix)/bin
SCRIPTDIR = $(BINDIR)
INCLUDEDIR = $(prefix)/lib/psutils
PERL = $(prefix)/bin/perl

BINMODE = 0755
MANMODE = 0644
CHMOD = chmod
INSTALL = install -c -m $(BINMODE)
INSTALLMAN = install -c -m $(MANMODE)
MANEXT = 1
MANDIR = $(prefix)/man/man$(MANEXT)

CC = gcc
CFLAGS = -DPAPER=\"$(PAPER)\" -DUNIX -O -Wall

BIN = psbook psselect pstops epsffit psnup \
	psresize
SHELLSCRIPTS = getafm showchar
PERLSCRIPTS = fixfmps fixpsditps fixpspps \
	fixtpps fixwfwps fixwpps fixscribeps fixwwps \
	fixdlsrps extractres includeres psmerge
MANPAGES = psbook.$(MANEXT) psselect.$(MANEXT) pstops.$(MANEXT) epsffit.$(MANEXT) psnup.$(MANEXT) \
	psresize.$(MANEXT) psmerge.$(MANEXT) fixscribeps.$(MANEXT) getafm.$(MANEXT) \
	fixdlsrps.$(MANEXT) fixfmps.$(MANEXT) fixpsditps.$(MANEXT) \
	fixpspps.$(MANEXT) fixtpps.$(MANEXT) fixwfwps.$(MANEXT) fixwpps.$(MANEXT) \
	fixwwps.$(MANEXT) extractres.$(MANEXT) includeres.$(MANEXT)

all: $(BIN) $(PERLSCRIPTS) $(MANPAGES) $(SHELLSCRIPTS)

psutil.o: psutil.h patchlev.h pserror.h psutil.c

psspec.o: psutil.h patchlev.h psspec.h pserror.h psspec.c

pserror.o: psutil.h patchlev.h pserror.h pserror.c

epsffit.o: epsffit.c pserror.h patchlev.h

epsffit: epsffit.o pserror.o
	$(CC) $(CCFLAGS) -o epsffit pserror.o epsffit.o

psnup: psnup.o psutil.o psspec.o pserror.o
	$(CC) $(CCFLAGS) -o psnup psutil.o psspec.o pserror.o psnup.o

psnup.o: psutil.h patchlev.h psspec.h pserror.h psnup.c

psresize: psresize.o psutil.o pserror.o psspec.o
	$(CC) $(CCFLAGS) -o psresize psutil.o psspec.o pserror.o psresize.o

psresize.o: psutil.h patchlev.h psspec.h pserror.h psresize.c

psbook: psbook.o psutil.o pserror.o
	$(CC) $(CCFLAGS) -o psbook psutil.o pserror.o psbook.o

psbook.o: psutil.h patchlev.h pserror.h psbook.c

psselect: psselect.o psutil.o pserror.o
	$(CC) $(CCFLAGS) -o psselect psutil.o pserror.o psselect.o

psselect.o: psutil.h patchlev.h pserror.h psselect.c

pstops: pstops.o psutil.o psspec.o pserror.o
	$(CC) $(CCFLAGS) -o pstops psutil.o psspec.o pserror.o pstops.o

pstops.o: psutil.h patchlev.h psspec.h pserror.h pstops.c

getafm:	getafm.sh
	cp $? $@

showchar:	showchar.sh
	cp $? $@

psmerge: psmerge.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixfmps: fixfmps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixpsditps: fixpsditps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixpspps: fixpspps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixscribeps: fixscribeps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixtpps: fixtpps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixwfwps: fixwfwps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixwpps: fixwpps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixwwps: fixwwps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixdlsrps: fixdlsrps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

extractres: extractres.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

includeres: includeres.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) INCLUDE=$(INCLUDEDIR) $? > $@
	$(CHMOD) $(BINMODE) $@

epsffit.$(MANEXT): epsffit.man
	$(PERL) maketext MAN="$(MANPAGES)" $? > $@

psnup.$(MANEXT): psnup.man
	$(PERL) maketext MAN="$(MANPAGES)" PAPER=$(PAPER) $? > $@

psresize.$(MANEXT): psresize.man
	$(PERL) maketext MAN="$(MANPAGES)" PAPER=$(PAPER) $? > $@

psbook.$(MANEXT): psbook.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

psselect.$(MANEXT): psselect.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

pstops.$(MANEXT): pstops.man
	$(PERL) maketext "MAN=$(MANPAGES)" PAPER=$(PAPER) $? > $@

psmerge.$(MANEXT): psmerge.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixfmps.$(MANEXT): fixfmps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixpsditps.$(MANEXT): fixpsditps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixpspps.$(MANEXT): fixpspps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixscribeps.$(MANEXT): fixscribeps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixtpps.$(MANEXT): fixtpps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixwfwps.$(MANEXT): fixwfwps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixwpps.$(MANEXT): fixwpps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixwwps.$(MANEXT): fixwwps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixdlsrps.$(MANEXT): fixdlsrps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

extractres.$(MANEXT): extractres.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

includeres.$(MANEXT): includeres.man
	$(PERL) maketext "MAN=$(MANPAGES)" INCLUDE=$(INCLUDEDIR) $? > $@

getafm.$(MANEXT): getafm.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

clean:
	rm -f *.o

veryclean realclean: clean
	rm -f $(BIN) $(PERLSCRIPTS) $(MANPAGES)

install: install.bin install.script install.man

install.bin: $(BIN)
	-mkdir $(BINDIR)
	@for i in $(BIN); do \
		echo Installing $$i; \
		$(INSTALL) $$i $(BINDIR); \
	done

install.script: $(PERLSCRIPTS) $(SHELLSCRIPTS)
	-mkdir $(SCRIPTDIR)
	@for i in $(PERLSCRIPTS) $(SHELLSCRIPTS); do \
		echo Installing $$i; \
		$(INSTALL) $$i $(SCRIPTDIR); \
	done

install.man: $(MANPAGES)
	-mkdir $(MANDIR)
	@for i in $(MANPAGES); do \
		echo Installing manual page for $$i; \
		$(INSTALLMAN) $$i $(MANDIR)/$$i; \
	done

=== .pc/showchar-manpage.patch/Makefile ===
# Makefile for PS utilities release 1 patchlevel 17
#
# Copyright (C) Angus J. C. Duggan 1991-1996
# See file LICENSE for details.
#
# updated AJCD 3/1/96
#
# Multiple makefiles for different OSes are generated from a single master
# now.
#
# There are so many incompatible makes around that putting all of the
# non-standard targets explicitly seems to be the only way of ensuring
# portability.

# epsffit fits an epsf file to a given bounding box
# psbook rearranges pages into signatures
# psselect selects page ranges
# pstops performs general page rearrangement and merging
# psnup puts multiple logical pages on one physical page
# psresize scales and moves pages to fit on different paper sizes

PAPER=a4

# Makefile for PSUtils under Unix

OS = UNIX
prefix=/usr

BINDIR = $(prefix)/bin
SCRIPTDIR = $(BINDIR)
INCLUDEDIR = $(prefix)/lib/psutils
PERL = $(prefix)/bin/perl

BINMODE = 0755
MANMODE = 0644
CHMOD = chmod
INSTALL = install -c -m $(BINMODE)
INSTALLMAN = install -c -m $(MANMODE)
MANEXT = 1
MANDIR = $(prefix)/man/man$(MANEXT)

CC = gcc
#CFLAGS = -DPAPER=\"$(PAPER)\" -DUNIX -O -Wall
CFLAGS = -DDEBIAN -DUNIX -O2 -g -Wall -Werror

BIN = psbook psselect pstops epsffit psnup \
	psresize
SHELLSCRIPTS = getafm showchar
PERLSCRIPTS = fixfmps fixpsditps fixpspps \
	fixtpps fixwfwps fixwpps fixscribeps fixwwps \
	fixdlsrps extractres includeres psmerge
MANPAGES = psbook.$(MANEXT) psselect.$(MANEXT) pstops.$(MANEXT) epsffit.$(MANEXT) psnup.$(MANEXT) \
	psresize.$(MANEXT) psmerge.$(MANEXT) fixscribeps.$(MANEXT) getafm.$(MANEXT) \
	fixdlsrps.$(MANEXT) fixfmps.$(MANEXT) fixpsditps.$(MANEXT) \
	fixpspps.$(MANEXT) fixtpps.$(MANEXT) fixwfwps.$(MANEXT) fixwpps.$(MANEXT) \
	fixwwps.$(MANEXT) extractres.$(MANEXT) includeres.$(MANEXT)

all: $(BIN) $(PERLSCRIPTS) $(MANPAGES) $(SHELLSCRIPTS)

psutil.o: psutil.h patchlev.h pserror.h psutil.c

psspec.o: psutil.h patchlev.h psspec.h pserror.h psspec.c

pserror.o: psutil.h patchlev.h pserror.h pserror.c

epsffit.o: epsffit.c pserror.h patchlev.h

epsffit: epsffit.o pserror.o
	$(CC) $(CCFLAGS) -o epsffit pserror.o epsffit.o

psnup: psnup.o psutil.o psspec.o pserror.o
	$(CC) $(CCFLAGS) -o psnup psutil.o psspec.o pserror.o psnup.o -lpaper

psnup.o: psutil.h patchlev.h psspec.h pserror.h psnup.c

psresize: psresize.o psutil.o pserror.o psspec.o
	$(CC) $(CCFLAGS) -o psresize psutil.o psspec.o pserror.o psresize.o \
          -lpaper

psresize.o: psutil.h patchlev.h psspec.h pserror.h psresize.c

psbook: psbook.o psutil.o pserror.o
	$(CC) $(CCFLAGS) -o psbook psutil.o pserror.o psbook.o

psbook.o: psutil.h patchlev.h pserror.h psbook.c

psselect: psselect.o psutil.o pserror.o
	$(CC) $(CCFLAGS) -o psselect psutil.o pserror.o psselect.o

psselect.o: psutil.h patchlev.h pserror.h psselect.c

pstops: pstops.o psutil.o psspec.o pserror.o
	$(CC) $(CCFLAGS) -o pstops psutil.o psspec.o pserror.o pstops.o -lpaper

pstops.o: psutil.h patchlev.h psspec.h pserror.h pstops.c

getafm:	getafm.sh
	cp $? $@

showchar:	showchar.sh
	cp $? $@

psmerge: psmerge.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixfmps: fixfmps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixpsditps: fixpsditps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixpspps: fixpspps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixscribeps: fixscribeps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixtpps: fixtpps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixwfwps: fixwfwps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixwpps: fixwpps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixwwps: fixwwps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

fixdlsrps: fixdlsrps.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

extractres: extractres.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) $? > $@
	$(CHMOD) $(BINMODE) $@

includeres: includeres.pl
	$(PERL) maketext OS=$(OS) PERL=$(PERL) INCLUDE=$(INCLUDEDIR) $? > $@
	$(CHMOD) $(BINMODE) $@

epsffit.$(MANEXT): epsffit.man
	$(PERL) maketext MAN="$(MANPAGES)" $? > $@

psnup.$(MANEXT): psnup.man
	$(PERL) maketext MAN="$(MANPAGES)" PAPER=$(PAPER) $? > $@

psresize.$(MANEXT): psresize.man
	$(PERL) maketext MAN="$(MANPAGES)" PAPER=$(PAPER) $? > $@

psbook.$(MANEXT): psbook.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

psselect.$(MANEXT): psselect.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

pstops.$(MANEXT): pstops.man
	$(PERL) maketext "MAN=$(MANPAGES)" PAPER=$(PAPER) $? > $@

psmerge.$(MANEXT): psmerge.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixfmps.$(MANEXT): fixfmps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixpsditps.$(MANEXT): fixpsditps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixpspps.$(MANEXT): fixpspps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixscribeps.$(MANEXT): fixscribeps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixtpps.$(MANEXT): fixtpps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixwfwps.$(MANEXT): fixwfwps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixwpps.$(MANEXT): fixwpps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixwwps.$(MANEXT): fixwwps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

fixdlsrps.$(MANEXT): fixdlsrps.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

extractres.$(MANEXT): extractres.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

includeres.$(MANEXT): includeres.man
	$(PERL) maketext "MAN=$(MANPAGES)" INCLUDE=$(INCLUDEDIR) $? > $@

getafm.$(MANEXT): getafm.man
	$(PERL) maketext "MAN=$(MANPAGES)" $? > $@

clean:
	rm -f *.o

veryclean realclean: clean
	rm -f $(BIN) $(PERLSCRIPTS) $(MANPAGES)

install: install.bin install.script install.man

install.bin: $(BIN)
	-mkdir $(BINDIR)
	@for i in $(BIN); do \
		echo Installing $$i; \
		$(INSTALL) $$i $(BINDIR); \
	done

install.script: $(PERLSCRIPTS) $(SHELLSCRIPTS)
	-mkdir $(SCRIPTDIR)
	@for i in $(PERLSCRIPTS) $(SHELLSCRIPTS); do \
		echo Installing $$i; \
		$(INSTALL) $$i $(SCRIPTDIR); \
	done

install.man: $(MANPAGES)
	-mkdir $(MANDIR)
	@for i in $(MANPAGES); do \
		echo Installing manual page for $$i; \
		$(INSTALLMAN) $$i $(MANDIR)/$$i; \
	done

=== debian/changelog ===
psutils (1.17.dfsg-1+6.0.1trisquel1) toutatis; urgency=low

  * Backported from belenos, #5981

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 18 Jun 2015 17:41:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,10 @@
 Source: psutils
 Section: text
 Priority: optional
-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
-Build-Depends: debhelper-compat (= 13),
-               libpaper-dev
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/debian/psutils
-Vcs-Git: https://salsa.debian.org/debian/psutils.git
-Homepage: https://github.com/rrthomas/psutils
-Rules-Requires-Root: no
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Build-Depends: cdbs, debhelper (>> 9), libpaper-dev, hardening-wrapper
+Standards-Version: 3.9.3
+Homepage: http://www.tardis.ed.ac.uk/~ajcd/psutils/
 
 Package: psutils
 Architecture: any

## psutils 3.3.8

=== Makefile ===
# Makefile for PSUtils
#
# Copyright (C) Reuben Thomas 2012-2023
# See COPYING for license

test:
	tox

dist:
	git diff --exit-code && \
	rm -rf ./dist && \
	mkdir dist && \
	python -m build

release-pypi:
	twine upload dist/*

release:
	make test
	make dist
	version=$$(grep version pyproject.toml | grep -o "[0-9.]\+") && \
	twine upload dist/* && \
	gh release create v$$version --title "Release v$$version" dist/*

loc:
	cloc psutils
	cloc tests/*.py

.PHONY:	dist

=== debian/changelog ===
psutils (3.3.8-1) unstable; urgency=medium

  * Add Bastian as Uploader
  * Move to unstable
    Closes: #1092602

 -- Bastian Germann <bage@debian.org>  Sat, 15 Feb 2025 15:51:09 +0000

psutils (3.3.8-0.1) experimental; urgency=medium

  * Non-maintainer upload
  * New upstream version 3.3.8
    Closes: #1002514
  * d/watch: Scan for every upstream version
  * d/watch: Scan git tags (releases lack some programs)

 -- Bastian Germann <bage@debian.org>  Mon, 06 Jan 2025 22:51:22 +0100

=== debian/control ===
Source: psutils
Section: text
Priority: optional
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Uploaders: Bastian Germann <bage@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-argparse-manpage,
               python3-puremagic,
               python3-pypdf,
               python3-setuptools,
               libpaper-utils,
               libpaper-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/psutils
Vcs-Git: https://salsa.debian.org/debian/psutils.git
Homepage: https://github.com/rrthomas/psutils
Rules-Requires-Root: no

Package: python3-psutils
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: psutils
Description: PostScript document handling libraries
 Library for psutils, a collection of utilities is for manipulating PostScript
 documents.  Page selection and rearrangement are supported, including
 arrangement into signatures for booklet printing, and page merging
 for n-up printing.

Package: psutils
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends}, ${misc:Depends}, ${python3:Depends}, python3-psutils
Recommends: ghostscript
Description: PostScript document handling utilities
 This collection of utilities is for manipulating PostScript
 documents.  Page selection and rearrangement are supported, including
 arrangement into signatures for booklet printing, and page merging
 for n-up printing.
 .
 The following programs are included in psutils: epsffit, extractres,
 fixdlsrps, fixfmps, fixpsditps, fixpspps, fixscribeps,
 fixtpps, fixwfwps, fixwpps, fixwwps, includeres, psbook,
 psjoin, psmerge, psnup, psresize, psselect, pstops.
 .
 Some programs included here (psmerge) behave differently if gs is
 available, but all programs work without it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	DEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM) dh_auto_build

=== debian/watch ===
version=4

opts="mode=git" \
   https://github.com/rrthomas/@PACKAGE@.git \
   refs/tags/v([\d.]+)

## psutils 3.3.12

=== debian/changelog ===
psutils (3.3.12-1) unstable; urgency=medium

  * New upstream version 3.3.12
  * d/copyright: Drop old-scripts
  * d/watch: Resolve PACKAGE var

 -- Bastian Germann <bage@debian.org>  Mon, 01 Sep 2025 08:08:41 +0200

psutils (3.3.8-3) unstable; urgency=medium

  * Drop old psmerge script

 -- Bastian Germann <bage@debian.org>  Mon, 18 Aug 2025 11:55:41 +0200

psutils (3.3.8-2) unstable; urgency=medium

  * Drop old fix* scripts
  * Set LC_ALL for reproducible build

 -- Bastian Germann <bage@debian.org>  Wed, 13 Aug 2025 07:54:00 +0200

## psutils 3.3.14

=== Makefile ===
# Makefile for PSUtils
#
# Copyright (C) Reuben Thomas 2012-2025
# See COPYING for license

test:
	tox

build:
	python -m build

dist:
	git diff --exit-code && \
	rm -rf ./dist && \
	mkdir dist && \
	$(MAKE) build

release-pypi:
	twine upload dist/*

release:
	$(MAKE) test && \
	$(MAKE) dist && \
	version=$$(grep version pyproject.toml | grep -o "[0-9.]\+") && \
	twine upload dist/* && \
	gh release create v$$version --title "Release v$$version" dist/* && \
	git pull --tags

loc:
	cloc psutils
	cloc tests/*.py

.PHONY:	dist build

=== debian/changelog ===
psutils (3.3.14-1) unstable; urgency=medium

  * New upstream version 3.3.14
    Closes: #1113870, #1107246

 -- Bastian Germann <bage@debian.org>  Mon, 08 Sep 2025 22:50:56 +0200

=== debian/control ===
--- 
+++ 
@@ -42,9 +42,7 @@
  for n-up printing.
  .
  The following programs are included in psutils: epsffit, extractres,
- fixdlsrps, fixfmps, fixpsditps, fixpspps, fixscribeps,
- fixtpps, fixwfwps, fixwpps, fixwwps, includeres, psbook,
- psjoin, psmerge, psnup, psresize, psselect, pstops.
+ includeres, psbook, psjoin, psmerge, psnup, psresize, psselect, pstops.
  .
  Some programs included here (psmerge) behave differently if gs is
  available, but all programs work without it.

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
-	DEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM) dh_auto_build
+	LC_ALL=C DEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM) dh_auto_build

=== debian/watch ===
version=4

opts="mode=git" \
   https://github.com/rrthomas/psutils.git \
   refs/tags/v([\d.]+)
